CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   VTK errors in ParaFOAM on OpenFOAM14 (http://www.cfd-online.com/Forums/openfoam-installation/57500-vtk-errors-parafoam-openfoam14.html)

stevemchale August 29, 2007 11:51

Hi All, I've installed all
 
Hi All,

I've installed all the OpenFOAM-1.4 binaries, but I can't get paraview to load the data files. If someone could translate these errors for me I would appreciate it. Thanks.

ErrorMessage


# Error or warning: ERROR: In /home/amy/ParaViewReleaseRoot/ParaView-2.6.2/Utilities/VTKClientServer/vtkClient ServerInterpreter.cxx, line 882

vtkClientServerInterpreter (0x9345438): Cannot load module "PVFoamReader" from "/home/Steve/OpenFOAM/OpenFOAM-1.4/lib/linuxGcc4DPOpt/libPVFoamReader.so".


ERROR: In /home/amy/ParaViewReleaseRoot/ParaView-2.6.2/Utilities/VTKClientServer/vtkClient ServerInterpreter.cxx, line 886

vtkClientServerInterpreter (0x9345438): libvtkGraphics.so.pv2.4: cannot open shared object file: No such file or directory



ERROR: In /home/amy/ParaViewReleaseRoot/ParaView-2.6.2/Servers/Common/vtkProcessModuleConn ectionManager.cxx, line 577

vtkProcessModuleConnectionManager (0x9345498): Failed to load Module on connection 1




ERROR: In /home/amy/ParaViewReleaseRoot/ParaView-2.6.2/GUI/Client/vtkPVXMLPackageParser.cx x, line 705

vtkPVXMLPackageParser (0x9d53ba0): Error loading Library component PVFoamReader





ErrorMessage end

ErrorMessage

# Error or warning: There was a VTK Error in file: /home/amy/ParaViewReleaseRoot/ParaView-2.6.2/GUI/Client/vtkPVWindow.cxx (2572)
vtkPVWindow (0x960cc50): Cannot read file information when no reader is specified. This probably means that the reader for the file with name: ./PipeFlowOsc.foam cannot be found
ErrorMessage end
ErrorMessage
# Error or warning: There was a VTK Error in file: /home/amy/ParaViewReleaseRoot/ParaView-2.6.2/GUI/Widgets/vtkKWApplication.cxx (1701)
vtkPVApplication (0x93eb148):
Script:
paraFoam.pvs
Returned Error on line 11:
invalid command name ""
ErrorMessage end


~Steve

msrinath80 August 29, 2007 12:10

Use the paraview provided with
 
Use the paraview provided with OpenFOAM.

gschaider August 29, 2007 12:18

Hi Steve! Looks like you're
 
Hi Steve!

Looks like you're using 2.6.2, but there are still some 2.4 libraries in the Library path (libvtkGraphics.so.pv2.4). You've got an old installation, that is interfering with the other one? (or maybe it is the other way round)

Bernhard

stevemchale August 29, 2007 12:44

Any ideas as to solutions? One
 
Any ideas as to solutions? One way or the other? I'm relatively new at this, so I appreciate your help guys. Thanks.

~Steve

msrinath80 August 29, 2007 15:31

Really can't help you unless y
 
Really can't help you unless you exactly tell us what procedure you followed for installation of OpenFOAM.

gschaider August 29, 2007 15:39

Hi Steve! Check with 'which
 
Hi Steve!

Check with 'which paraview' whether you are actually using the Paraview-version distributed with OpenFOAM (I don't think so). The problem you are seeing usually comes from another paraview-installation that 'shadows' the OpenFOAM-paraview, usually because it is found before that in the PATH or the LD_LIBRARY_PATH

Either change those variables or get rid of the other installation


All times are GMT -4. The time now is 00:53.